# ImageMetaTag: How to Contribute

## Report Bugs

Report bugs and request enhancement by opening an issue on [ImageMetaTag issues @ Github](https://github.com/SciTools-incubator/image-meta-tag/issues). If reporting a bug, add a recipe for repeating it. If requesting an enhancement, describe the use case in detail.

## Contribute Code

All contributions to ImageMetaTag are made via pull requests against the *master* branch of [ImageMetaTag](https://github.com/SciTools-incubator/image-meta-tag/tree/master). New contributors
should add their details to the [Code Contributors](#code-contributors) section of this file as part of their first request. The developer who reviews each pull request is responsible for checking that the contributor's name is listed in this file before merging the pull request into *master*.

## Code Contributors

The following people have contributed to this code under the terms of the Contributor Licence Agreement and Certificate of Origin detailed below:

* Melissa Brooks (Met Office, UK)
* Paul Earnshaw (Met Office, UK)

## Contributor Licence Agreement and Certificate of Origin

Thank you for your interest in contributing to the Met Office ImageMetaTag project.

In order to clarify the intellectual property licence granted with Contributions from any person or entity, the Met Office must have a Contributor License Agreement ("CLA") on file that has been signed by each Contributor, indicating agreement to the licence terms below.

This CLA is for Your protection as a Contributor as well as the protection of the Met Office and users of products included within the repository; it does not change your rights to use your own Contributions for any other purpose.  

By adding your name to the [Code Contributors](#code-contributors) section of this file you accept the terms of this CLA which will bind You. Please read it carefully.
 
The Met Office will use and process Your details collected for the purposes of managing repositories hosted at the Met Office. Your details will be processed in accordance with the Data Protection Act 1998.  Personal data processed by the Met Office will not be disclosed to third parties for marketing purposes. 

You accept and agree to the following terms and conditions for Your present and future Contributions submitted to the Met Office.  In return, the Met Office shall not use Your Contributions in a way that is contrary to the interests of users of the products.  Except for the licence granted herein to the Met Office and recipients of software distributed by the Met Office, You reserve all right, title, and interest in and to Your Contributions.

### 1. Definitions

"You" (or "Your") shall mean the copyright owner or legal entity authorised by the copyright owner that is making this Agreement with the Met Office. For legal entities, the entity making a Contribution and all other entities that control, are controlled by, or are under common control with that entity are considered to be a single Contributor.

For the purposes of this definition, "control" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.

"Contribution" shall mean any original work of authorship, including any modifications or additions to an existing work, that is intentionally submitted by You to the Met Office for inclusion in a repository managed by the Met Office (the "Work").  For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to the Met Office or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Met Office for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by You as "Not a Contribution."

“Parties” shall mean The Met Office and You.

“Met Office” shall mean the Met Office, an Executive Agency of the Department of Business, Innovation and Skills of the United Kingdom of Great Britain and Northern Ireland (“BIS”), whose principal place of business is situated at Fitzroy Road, Exeter, Devon EX1 3PB, United Kingdom, for an on behalf of BIS.

“Working Day” shall mean a day other than a Saturday, Sunday or public holiday in England when banks in London are open for business.

“Data” shall have the same meaning as set out in the Data Protection Act 1998.

### 2. Grant of Copyright Licence 

Subject to the terms and conditions of this CLA, You hereby grant to the Met Office and to recipients of software distributed by the Met Office a perpetual, worldwide, non-exclusive, royalty-free, irrevocable copyright licence to reproduce, prepare derivative works of, publicly display, publicly perform, sublicence, and distribute Your Contributions and such derivative works under the terms of the Berkley Software Distribution Three-Clause Licence (“BSD-3”), the text of which may be found at: http://opensource.org/licenses/BSD-3-Clause

A copy of this licence will be provided to you separately from this CLA.

You agree and acknowledge that the Met Office and its licensees may sublicence and distribute adaptations of your Contributions under other licences of their choosing.

### 3. Intellectual Property Infringement

If any third party makes any claim against You or any other entity, alleging that your Contribution, or the Work to which you have contributed, infringes the intellectual property rights of that third party, then You shall inform the Met Office within 5 Working Days of such claim in order for the Met Office to take all appropriate action it deems necessary in relation to the claim.

### 4. You represent that you are legally entitled to grant the above licence
If your employer(s) has rights to intellectual property that you create that includes your Contributions, you represent that you have received permission to make Contributions on behalf of that employer, or that your employer has waived such rights for your Contributions to the Met Office.

### 5. Representation of contribution
You represent that each of Your Contributions is Your original creation and that you have not assigned or otherwise given up your interest in the Contribution to any third party (see section 6 for submissions on behalf of others).  You represent that Your Contribution submissions include complete details of any third-party licence or other restriction (including, but not limited to, related patents and trademarks) of which you are personally aware and which are associated with any part of Your Contributions.

### 6. Submission of work that is not Your original creation 
Should You wish to submit work that is not Your original creation, You may submit it to the Met Office separately from any Contribution, identifying the complete details of its source and of any licence or other restriction (including, but not limited to, related patents, trademarks, and license agreements) of which you are personally aware, and conspicuously marking the work as "Submitted on behalf of a third-party: Third Party Name ________”

### 7. Notification of inaccurate representations 
You agree to notify the Met Office of any facts or circumstances of which you become aware that would make these representations inaccurate in any respect. You further agree to fully indemnify, and keep indemnified, the Met Office against any losses suffered as a result of any fraudulent or negligent misrepresentation made by you under Clauses 4 to 6 inclusive.

### 8. Dispute Resolution
The Parties shall attempt in good faith to negotiate a settlement to any dispute arising between them out of or in connection with this Agreement within 30 business days of the dispute arising.

If the dispute cannot be resolved, then the Parties shall attempt to settle it by mediation in accordance with the Centre for Dispute Resolution (“CEDR”) Model Mediation Procedure from time-to-time in force.

To initiate the mediation a party to the Agreement must give notice in writing (the “ADR Notice”) to the other party requesting mediation in accordance with this clause 8. The mediation is to take place not later than 30 Business Days after the ADR Notice. If there is any issue on the conduct of the mediation upon which the Parties cannot agree within 14 Business Days of the ADR Notice, then CEDR shall, at the request of either party, decide the issue for the Parties, having consulted with them.

Unless otherwise agreed, all negotiations connected with the dispute and any settlement shall be conducted in confidence and without prejudice to the rights of the Parties in any future proceedings.

If the Parties reach agreement on the resolution of the dispute, the agreement shall be reduced to writing and shall be binding on the Parties once it is signed by both You and the Met Office.

If the Parties fail to reach agreement within 60 Working Days of the initiation of the mediation, or such longer period as may be agreed by the Parties, then any dispute or difference between them may be referred to the courts.

### 9. General
1. No waiver by either party of any of its rights under this agreement shall release the other party from full performance of its other obligations stated herein.
1. Nothing in this agreement shall be deemed to constitute, evidence or comprise a partnership between the Parties or to constitute either party the agent of the other.
1. Neither party may assign its rights under this agreement in whole or in part to any person, firm or company without the prior written agreement of the other party.
1. No amendment, waiver, or variation, of this agreement, whether in whole or in part, shall be binding on the Parties unless set out in writing and signed by or on behalf of the Parties by their duly authorised representatives.
1. If any provision of this agreement is held by a competent authority to be illegal, invalid, or unenforceable, whether in whole or in part, the validity of the remainder of the relevant provision and the remaining provisions shall not be affected or prejudiced.
1. Each party shall, at its own cost and expense, from time to time do or procure the execution of all documents as may be reasonably necessary in order to give effect to the provisions of this agreement.
1. The Parties to this agreement do not intend that any of its terms will be enforceable by virtue of the Contracts (Rights of Third Parties) Act 1999 by any person not a party to it.
1. You acknowledge that the Met Office is subject to the requirements of the Freedom of Information Act 2000, the Environmental Information Regulations 2004 and the Reuse of Public Sector Information Regulations 2005 (together the “Disclosure Legislation”) and You shall assist and co-operate with the Met Office to enable the Met Office to comply with the Disclosure Legislation and any requests which reference the Disclosure Legislation (“Requests”). 
1. You shall provide all necessary assistance requested by the Met Office to enable the Met Office to respond to a Request within the time periods set out in the Disclosure Legislation. The Met Office shall be responsible for determining in its absolute discretion whether any information:
    * is exempt from disclosure in accordance with the provisions of the Disclosure Legislation; or
    * is to be disclosed in response to a Request.
1. You acknowledge that the Met Office may be obliged under the Disclosure Legislation to disclose information:
    * without consulting with You; or
    * following consultation with You and having taken Your views into account
1. This Agreement shall be governed by and construed in accordance with the laws of England and Wales and the Parties hereby agree to submit to the exclusive jurisdiction of the courts situated in England and Wales.

